Subject: RE: 1.3.5 cp/permissions bug
From: "Andrew J. P. Maclean" <[email-masked]>
To: "'Sundstrom, Peter'" <[email-masked]>, <[email-masked]>
Date: Thu, 22 Nov 2001 10:57:53 +1100

In the cygwin.bat file, put in the following line:
set CYGWIN=ntsec

This will let you get a reasonable semblance of Unix-like security. When
I do this I am able to set/change file permissions.

Hope that this helps.
It seems to:
------------------------------------------------------------------------
---
Administrator@MIMOSA ~
$ touch x

Administrator@MIMOSA ~
$ ls -ln x
-r-xr-xr-x    1 2120     513           973 Nov 22 10:46 x

Administrator@MIMOSA ~
$ chmod 000 x

Administrator@MIMOSA ~
$ ls -ln x
----------    1 2120     513           973 Nov 22 10:46 x

Administrator@MIMOSA ~
$cp x y
cp: `x.exe' and `y' are the same file
-----------------------------------------------------------------------
Note that if I don't have ntsec set, I get this result:
Administrator@MIMOSA ~
$ touch x

Administrator@MIMOSA ~
$ ls -ln x
-rw-r--r--    1 500      513             0 Nov 22 10:51 x

Administrator@MIMOSA ~
$ chmod 000 x

Administrator@MIMOSA ~
$ ls -ln x
-r--r--r--    1 500      513             0 Nov 22 10:51 x

Administrator@MIMOSA ~
$ cp x y 
___________________________________________
Andrew J. P. Maclean
Postal:
Australian Centre for Field Robotics
The Rose Street Building J04
The University of Sydney  2006  NSW
AUSTRALIA
Room:
106
Phone:
+61 2 9351 3283
Fax:
+61 2 9351 7474

http://www.acfr.usyd.edu.au/
___________________________________________

-----Original Message-----
From: Sundstrom, Peter [mailto:[email-masked]] 
Sent: Thursday, 22 November 2001 10:22
To: 'Andrew J. P. Maclean '
Subject: RE: 1.3.5 cp/permissions bug

Hello Andrew.

I've read through the FAQ before, but I read it again and still can't
see
the relevance to my case.

Peter

-----Original Message-----
From: Andrew J. P. Maclean
To: 'Sundstrom, Peter'; [email-masked]
Sent: 22/11/2001 9:07 AM
Subject: RE: 1.3.5 cp/permissions bug

I think this article in the FAQ will help.
http://cygwin.com/faq/faq.html#SEC44

and

http://cygwin.com/cygwin-ug-net/ntsec.html

I hope that this helps.

Andrew

___________________________________________
Andrew J. P. Maclean
Postal:
Australian Centre for Field Robotics
The Rose Street Building J04
The University of Sydney  2006  NSW
AUSTRALIA
Room:
106
Phone:
+61 2 9351 3283
Fax:
+61 2 9351 7474

http://www.acfr.usyd.edu.au/
___________________________________________

-----Original Message-----
From: Sundstrom, Peter [mailto:[email-masked]] 
Sent: Wednesday, 21 November 2001 13:41
To: [email-masked]'
Subject: 1.3.5 cp/permissions bug

I'm running 1.3.5 on Win2K

The cp command doesn't seem to understand permissions correctly.  See
following example:

Administrator@SCANNER$ cd /tmp
Administrator@SCANNER$ touch foo
Administrator@SCANNER$ chmod 000 foo
Administrator@SCANNER$ ls -l
total 0
----------    1 Administ None            0 Nov 21 13:34 foo
Administrator@SCANNER$ cp foo foo1
cp: `foo.exe' and `foo1' are the same file

Doing the same on a Solaris box gets the error:

cp: can not open foo: Permission denied

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/